package be.iminds.ilabt.jfed.rspec.request.ext.flack;

import javax.xml.bind.annotation.*;

/**
 * XSD for http://www.protogeni.net/resources/rspec/ext/flack/1 not found
 * So we just define it ourselves here.
 *
 * <flack:node_info x="474" y="121" unbound="true"/>
 * <flack:link_info x="469" y="496" unboundVlantag="true"/>
 * <flack:interface_info addressBound="false" bound="false"/>
 * <flack:slice_info view="graph"/>
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "link_info")
public class LinkInfo {
    @XmlAttribute(name = "x", required = false)
    private Integer x;

    @XmlAttribute(name = "y", required = false)
    private Integer y;

    @XmlAttribute(name = "unboundVlantag", required = false)
    private Boolean unboundVlantag;


    public LinkInfo() {
        this.x = null;
        this.y = null;
        this.unboundVlantag = null;
    }
    public LinkInfo(int x, int y, boolean unboundVlantag) {
        this.x = x;
        this.y = y;
        this.unboundVlantag = unboundVlantag;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public Integer getY() {
        return y;
    }

    public void setY(Integer y) {
        this.y = y;
    }

    public Boolean getUnboundVlantag() {
        return unboundVlantag;
    }

    public void setUnboundVlantag(Boolean unboundVlantag) {
        this.unboundVlantag = unboundVlantag;
    }
}
